Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] slot-conflict - wie auflösen?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Wed May 26, 2010 10:07 pm    Post subject: [gelöst] slot-conflict - wie auflösen? Reply with quote

Den ganzen Abend versuche ich schhon das hier hinzubekommen:
Code:

natop widelands-build15-src # emerge -puDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] media-libs/xvid-1.2.2-r2 [1.2.2-r1]
[ebuild     U ] dev-util/intltool-0.41.1 [0.41.0] 
[ebuild   R   ] media-libs/mesa-7.7.1  VIDEO_CARDS="-intel* -mach64* -mga* -r128* -savage* -sis* -tdfx* -via*"
[ebuild     U ] dev-games/physfs-2.0.1 [2.0.0]                                                                 
[ebuild     U ] kde-base/kdelibs-4.3.5 [4.3.3-r1] USE="-semantic-desktop*"                                     
[ebuild     U ] kde-base/kget-4.3.5-r1 [4.3.5]                                                                 
[ebuild   R   ] kde-base/kdm-4.3.5  USE="consolekit*"                                                         
[ebuild   R   ] sys-apps/hal-0.5.13-r2  USE="consolekit*"                                                     

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:               

kde-base/kdelibs:4.3

  ('installed', '/', 'kde-base/kdelibs-4.3.3-r1', 'nomerge') pulled in by
    >=kde-base/kdelibs-4.3[semantic-desktop] required by ('installed', '/', 'media-gfx/digikam-1.1.0-r1', 'nomerge')
    (and 5 more)

  ('ebuild', '/', 'kde-base/kdelibs-4.3.5', 'merge') pulled in by
    >=kde-base/kdelibs-4.3.5[-kdeprefix,-aqua] required by ('installed', '/', 'kde-base/ksudoku-4.3.5', 'nomerge')
    >=kde-base/kdelibs-4.3.5[-kdeprefix,-aqua] required by ('installed', '/', 'kde-base/plasma-workspace-4.3.5', 'nomerge')
    >=kde-base/kdelibs-4.3.5[-kdeprefix,-aqua] required by ('installed', '/', 'kde-base/lskat-4.3.5', 'nomerge')
    (and 234 more)



Verstehe ich das richtig, auf diesem System sind kdelibs 4.3.3 und 4.3.5 gleichzeitig installiert? Dann sollte doch das entfernen von 4.3.3 das Problem lösen, oder? Irgendwie bekomme ich das aber nicht hin. Oder ist das USE=semantic-desktop hier der Auslöser?

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org


Last edited by uhai on Thu May 27, 2010 9:58 am; edited 1 time in total
Back to top
View user's profile Send private message
SinoTech
Advocate
Advocate


Joined: 20 Mar 2004
Posts: 2579
Location: Neunkirchen / Saarland / Germany

PostPosted: Wed May 26, 2010 10:48 pm    Post subject: Re: slot-conflict - wie auflösen? Reply with quote

uhai wrote:

[...]
Verstehe ich das richtig, auf diesem System sind kdelibs 4.3.3 und 4.3.5 gleichzeitig installiert? Dann sollte doch das entfernen von 4.3.3 das Problem lösen, oder? Irgendwie bekomme ich das aber nicht hin. Oder ist das USE=semantic-desktop hier der Auslöser?

uhai

Ich denke das USE-Flag "semantic-desktop" ist hier der Auslöser. Beim bereits installierten kdelibs ist dieses Flag gesetzt, beim updaten würde es aber entfernt. Weil "digikam" aber dieses Flag braucht, will portage das bereits installierte kdelibs behalten. Gleichzeitig benötigen andere Pakete aber eine neueres kdelibs wodurch es zu diesem Problem kommt. Ich denke es sollte reichen das Flag "semantic-desktop" wieder in die USE-Flags aufzunehmen.

Cheers,

Sino
_________________
Help to answer the unanswered
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Thu May 27, 2010 9:58 am    Post subject: Reply with quote

Danke SynoTech, das war es. Vielleicht sollte ich aufhören, solche Dinge abends zu klären.

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum